Subject: bug#11415: 24.1.50; Dbus hangs indefinitely during batch mode & daemon startup

From: Christopher Schmidt <[email-masked]>
Date: Mon, 07 May 2012 17:04:30 +0200

Michael Albinus <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
> I have debugged further. The problem is in kbd_buffer_get_event of
> keyboard.c - it does not read special events when noninteractive. The
> following patch cures the problem for me:
[...]
> However, I don't know whether it has undesired side effects. What do
> people think?

The patches fixes the problem for me as well.

To me the patch looks correct.  (I run emacs --daemon directly in my
.Xsession and do not expect any interactions until I spawn the first
frame.)

        Christopher